Vector BLF: Vector::BLF::FileStatistics Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::FileStatistics Struct Referencefinal

`#include <FileStatistics.h>`

## Public Member Functions
| FileStatistics (const FileStatistics &)=default
FileStatistics & | operator= (const FileStatistics &)=default
| FileStatistics (FileStatistics &&)=default
FileStatistics & | operator= (FileStatistics &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
uint32_t | calculateStatisticsSize () const

## Public Attributes
uint32_t | signature {FileSignature}
uint32_t | statisticsSize {calculateStatisticsSize()}
uint32_t | apiNumber { 4080200 }
uint8_t | applicationId {}
uint8_t | compressionLevel {1}
uint8_t | applicationMajor {}
uint8_t | applicationMinor {}
uint64_t | fileSize {}
uint64_t | uncompressedFileSize {}
uint32_t | objectCount {}
uint32_t | applicationBuild {}
SYSTEMTIME | measurementStartTime {}
SYSTEMTIME | lastObjectTime {}
uint64_t | restorePointsOffset {}
std::array< uint32_t, 16 > | reservedFileStatistics {}

## Detailed Description

File statistics

## Member Function Documentation

## ◆ calculateStatisticsSize()

uint32_t Vector::BLF::FileStatistics::calculateStatisticsSize | ( |  | ) | const

Calculates the statisticsSize

Returns
  statistics size

## ◆ read()

void Vector::BLF::FileStatistics::read | ( | AbstractFile & | is | ) |
| virtual

read file statistics

Parameters

  is | input stream

## ◆ write()

void Vector::BLF::FileStatistics::write | ( | AbstractFile & | os | ) |
| virtual

write file statistics

Parameters

  os | output stream

## Member Data Documentation

## ◆ apiNumber

uint32_t Vector::BLF::FileStatistics::apiNumber { 4080200 }

BL API number

This consists of major, minor, build, patch. It's encoded as such: major * 1000000 + minor * 1000 + build * 100 + patch. Example: 4010608 decodes to 4.1.6.8.

## ◆ applicationBuild

uint32_t Vector::BLF::FileStatistics::applicationBuild {}

application build number

Todo:
  The BL API function takes an uint8_t argument here.

## ◆ applicationId

uint8_t Vector::BLF::FileStatistics::applicationId {}

application ID

## ◆ applicationMajor

uint8_t Vector::BLF::FileStatistics::applicationMajor {}

application major number

## ◆ applicationMinor

uint8_t Vector::BLF::FileStatistics::applicationMinor {}

application minor number

## ◆ compressionLevel

uint8_t Vector::BLF::FileStatistics::compressionLevel {1}

compression level

Note
  zlib defines maximum compression level 9. All files that show 10 here, actually have LogContainers with compression level 6, which is default for Vector BLF.

## ◆ fileSize

uint64_t Vector::BLF::FileStatistics::fileSize {}

(compressed) file size in bytes

## ◆ lastObjectTime

SYSTEMTIME Vector::BLF::FileStatistics::lastObjectTime {}

last object time

## ◆ measurementStartTime

SYSTEMTIME Vector::BLF::FileStatistics::measurementStartTime {}

measurement start time

## ◆ objectCount

uint32_t Vector::BLF::FileStatistics::objectCount {}

number of objects

## ◆ reservedFileStatistics

std::array<uint32_t, 16> Vector::BLF::FileStatistics::reservedFileStatistics {}

reserved

## ◆ restorePointsOffset

uint64_t Vector::BLF::FileStatistics::restorePointsOffset {}

Note
  The following variables are based on observations, as there is no public documentation available. This variable designates the file position of the (first) LogContainer that contains the RestorePointContainer objects.

If RestorePoints are not used, this defaults to 0.

See also
  RestorePointContainer

## ◆ signature

uint32_t Vector::BLF::FileStatistics::signature {FileSignature}

signature (signature)

## ◆ statisticsSize

uint32_t Vector::BLF::FileStatistics::statisticsSize {calculateStatisticsSize()}

sizeof(FileStatistics)

## ◆ uncompressedFileSize

uint64_t Vector::BLF::FileStatistics::uncompressedFileSize {}

uncompressed file size in bytes

The documentation for this struct was generated from the following files:

- FileStatistics.h
- FileStatistics.cpp